Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Custom Fields

Create Custom Field

POST
/v1/custom-fields

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Length1 <= length
description?string|null
type*"boolean" | "date" | "datetime" | "number" | "string" | "string_list"
Value in"boolean" | "date" | "datetime" | "number" | "string" | "string_list"
key*string
Length1 <= length
options?array<>|null
hidden?boolean
show_in_sidebar?boolean
entity?"appointment" | "contact" | "deal"
Value in"appointment" | "contact" | "deal"
is_select?boolean|null

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/custom-fields" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "boolean",    "key": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "name": "string",  "description": "string",  "type": "boolean",  "key": "string",  "options": [    "string"  ],  "hidden": true,  "show_in_sidebar": true,  "entity": "appointment",  "is_select": true,  "deleted_at": "2019-08-24T14:15:22Z",  "is_gallery": true,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}